<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InterfaceGeoZone_V2 StructType
 * @subpackage Structs
 */
class InterfaceGeoZone_V2 extends GeoZone
{
    /**
     * The PoiID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $PoiID;
    /**
     * Constructor method for InterfaceGeoZone_V2
     * @uses InterfaceGeoZone_V2::setPoiID()
     * @param int $poiID
     */
    public function __construct($poiID = null)
    {
        $this
            ->setPoiID($poiID);
    }
    /**
     * Get PoiID value
     * @return int
     */
    public function getPoiID()
    {
        return $this->PoiID;
    }
    /**
     * Set PoiID value
     * @param int $poiID
     * @return \StructType\InterfaceGeoZone_V2
     */
    public function setPoiID($poiID = null)
    {
        // validation for constraint: int
        if (!is_null($poiID) && !(is_int($poiID) || ctype_digit($poiID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($poiID, true), gettype($poiID)), __LINE__);
        }
        $this->PoiID = $poiID;
        return $this;
    }
}
